Mailinglist Archive: opensuse-updates (89 mails)

< Previous Next >
openSUSE-SU-2015:0017-1: moderate: Security update for libssh
openSUSE Security Update: Security update for libssh
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0017-1
Rating: moderate
References: #910790
Cross-References: CVE-2014-8132
Affected Products:
openSUSE 13.2
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update fixed the following security issue:
- Fix CVE-2014-8132: Double free on dangling pointers in initial key
exchange packet; (bsc#910790).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-7

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-7

- openSUSE 12.3:

zypper in -t patch openSUSE-2015-7

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libssh-debugsource-0.6.3-2.4.1
libssh-devel-0.6.3-2.4.1
libssh-devel-doc-0.6.3-2.4.1
libssh4-0.6.3-2.4.1
libssh4-debuginfo-0.6.3-2.4.1

- openSUSE 13.2 (x86_64):

libssh4-32bit-0.6.3-2.4.1
libssh4-debuginfo-32bit-0.6.3-2.4.1

- openSUSE 13.1 (i586 x86_64):

libssh-debugsource-0.5.5-2.12.1
libssh-devel-0.5.5-2.12.1
libssh-devel-doc-0.5.5-2.12.1
libssh4-0.5.5-2.12.1
libssh4-debuginfo-0.5.5-2.12.1

- openSUSE 13.1 (x86_64):

libssh4-32bit-0.5.5-2.12.1
libssh4-debuginfo-32bit-0.5.5-2.12.1

- openSUSE 12.3 (i586 x86_64):

libssh-debugsource-0.5.3-2.12.1
libssh-devel-0.5.3-2.12.1
libssh-devel-doc-0.5.3-2.12.1
libssh4-0.5.3-2.12.1
libssh4-debuginfo-0.5.3-2.12.1


References:

http://support.novell.com/security/cve/CVE-2014-8132.html
https://bugzilla.suse.com/show_bug.cgi?id=910790


< Previous Next >
This Thread
  • No further messages